# Copyright 2017 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt


from __future__ import absolute_import

from netq_apps.lib.events import EventService
from netq_apps.lib.integrations import Slack, PagerDuty
from netq_lib.common import configuration
_PROC_NAME = 'netq-notifier'


def main():
    conf_dict = configuration.get_config(_PROC_NAME, True)
    integration_map = {'slack': Slack, 'pagerduty': PagerDuty}
    notifier_inst = EventService(conf_dict, _PROC_NAME, integration_map, 'notifier-filters', 'notifier-integrations')
    return notifier_inst.run()
